Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.standardization
Class SystemObjectStandardization

    java.lang.Object
      com.sun.mdm.index.configurator.impl.standardization.SystemObjectStandardization

public class SystemObjectStandardization
extends java.lang.Object

Represents the configuration for a 'standardize system object' entry, defining how to standardize a given system object.

Constructor Summary
`SystemObjectStandardization(java.util.ArrayList aPhoneticize, java.util.ArrayList aPreParsed, java.util.ArrayList aUnParsed, java.lang.String aQualifiedName)` Creates new SystemObjectStandardization.

Method Summary
`java.util.ArrayList` | `getFieldsToPhoneticize()` Getter for FieldsToPhoneticize.
`java.util.ArrayList` | `getPreParsedFieldGroups()` Getter for PreParsedFieldGroups.
`java.lang.String` | `getQualifiedName()` Getter for QualifiedName.
`java.util.ArrayList` | `getUnParsedFieldGroups()` Getter for UnParsedFieldGroups.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemObjectStandardization

    public SystemObjectStandardization(java.util.ArrayList aPhoneticize,
                                       java.util.ArrayList aPreParsed,
                                       java.util.ArrayList aUnParsed,
                                       java.lang.String aQualifiedName)

  Creates new SystemObjectStandardization.

  Parameters:
    `aPhoneticize` - The PhoneticizeField definitions of what to phoneticize.
    `aPreParsed` - The PreparsedFieldGroup definitions of what to normalize.
    `aUnParsed` - The UnparsedFieldGroup definitions of what to standardize.
    `aQualifiedName` - The qualified name of the SystemObject this configuration relates to.

Method Detail

### getFieldsToPhoneticize

    public java.util.ArrayList getFieldsToPhoneticize()

  Getter for FieldsToPhoneticize.

  Returns:
    an ArrayList of PhoneticizeField instances defining which fields need to be phoneticized and how.

### getPreParsedFieldGroups

    public java.util.ArrayList getPreParsedFieldGroups()

  Getter for PreParsedFieldGroups.

  Returns:
    an ArrayList of PreparsedFieldGroup instances defining which fields need to normalized and how.

### getQualifiedName

    public java.lang.String getQualifiedName()

  Getter for QualifiedName.

  Returns:
    the qualified name of the SystemObject this configuration relates to.

### getUnParsedFieldGroups

    public java.util.ArrayList getUnParsedFieldGroups()

  Getter for UnParsedFieldGroups.

  Returns:
    an ArrayList of UnparsedFieldGroup instances defining which fields need to standardized and how.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.